<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
Archivelog(@$_SESSION["code_log"]);

$ta = strip_tags(trim($_GET['ta'])); // Source de l'appel m:depuis le menu, i:depuis l'intervention
$td = strip_tags(trim($_GET['td'])); // Récupération type demande
$cc = strip_tags(trim($_GET['cc'])); // Récupération code Client
$ci = strip_tags(trim($_GET['ci'])); // Récupération code Intervention
$ca = strip_tags(trim($_GET['ca'])); // Récupération code agence

$pbm_pdt=FALSE;

if (($ta<>"i") AND ($ta<>"m"))
	$pbm_pdt=TRUE;
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Liste Articles</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<body onLoad="metFocus();">

<?php 
if ($ta == "m") 
	include_once("../inc/entete.inc.php");
?>
<p align="center"><span class="titrepage">LISTE DES ARTICLES </span></p>
<?PHP 
if ($pbm_pdt==FALSE) {

if ($ta == "i") { ?>
<div align="center">
<span class="titre_gras">Choisissez un article pour l'intervention <?php echo $ci; ?> dans la liste suivante</span><br>
<span class="annot_petit_it">Hors article(s) d&eacute;j&agrave; saisi(s) dans cette intervention</span>
</div>
<p align="center">
<input type="button" class="bton_std" name="Submit" value="Revenir &agrave; la saisie en cours" onClick="javascript:; self.close('fscomp');">
</p>
<?php 
}
$fic_imp = "pdt_lsti.php";
if ((@$_SESSION["niv_log"] >= 5) AND ($ta=="m"))
	$url_add = "pdt_maj.php?td=add&code=";

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

if ($ta == "i")
{
	$rech = cree_strrechlstrpdti();
	$rech .= crestr_triord($pdtint_titre_col,"pdt_code",FALSE,$limit);
}
else
{
	$rech = cree_strrechlstrpdt();
	$rech .= crestr_triord($pdt_titre_col,"pdt_code",FALSE,$limit);
}
 
$rs = mysql_query($rech) or die(mysql_error());
$numrows = mysql_num_rows($rs); // Nombre de résultats à la requête

if($numrows == 0)
{
	retpp();
}
else
{
	include_once("formr.inc.php"); 

	if ($ta == "i")
	{
		$rech = cree_strrechlstrpdti();
		$rech .= crestr_triord($pdtint_titre_col,"pdt_code",TRUE,$limit);
	}
	else
	{
		$rech = cree_strrechlstrpdt();
		$rech .= crestr_triord($pdt_titre_col,"pdt_code",TRUE,$limit);
	}

	$rs = mysql_query($rech) or die(mysql_error());

	// *** Pagination de pied
	pagine_lst($numrows,$limit);
	
	// *** Affichage de la table
	
	echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";     
	
	// Création entête
	
	if ($ta == "i")
		titlst($pdtint_titre_col);	
	else
		titlst($pdt_titre_col);	
	echo "<th>".ucfirst($txt_ent_lst_clic)."</th>\n";
	
	$i = 0;
		
	while ($row = mysql_fetch_assoc($rs)) 
	{         
		$rech2 = "SELECT * FROM `" .TBPDTI. "` WHERE `pdti_codepdt` = '".$row["pdt_code"]."' AND `pdti_codeint` = '".$ci."'";
		$rs2 = mysql_query($rech2)or die(mysql_error());
		if (mysql_num_rows($rs2) == 0)
		{
			// Création de l'entête de ligne (TR)
			creetrlst($i);
			
			echo "<td>".$row["pdt_code"]."</td>\n";
			echo "<td>";
			echo $row["pdt_fam"];
	
			// Détail famille
			echo "<br>";
			echo "<span class=\"annot_petit_it\">";
			$txt = "(".formatetxt($row["fam_desc"]).")";
			echo htmlspecialchars($txt,ENT_NOQUOTES);
			echo "</span>";
	
			echo "</td>\n";
			echo "<td>";
			echo $row["pdt_des"];
			if ($row["pdt_detail"] <> "")
			{
				echo "<br>";
				echo "<span class=\"annot_petit_it\">";
				echo $row["pdt_detail"];
				echo "</span>";
			}
			echo "</td>\n";
			echo "<td>";
			echo "<div align=\"right\">";
			echo $row["pdt_puttc"].$lang['symbole_monnaie_txt'];
			echo "</div>";
			echo "</td>\n";
			if ($ta <> "i")
			{
				echo "<td>";
				echo "<div align=\"center\">";
				echo $non_oui[$row["pdt_vendu"]];
				echo "</div>";
				echo "</td>\n";
			}
		
			// CREATION lien dynamique sur icône (édition, suppression, etc...)
			if ($ta == "i")
			{
				$lst_int = TRUE;
		
				 echo "<td>";
				 echo "<div align=\"center\">";
				 echo "<a href=\"pdti_maj.php?td=add&ci=".$ci."&ca=".$row["pdt_code"]."\"><img src=\"../img/int.png\" border=\"0\" align=\"absmiddle\" title=\"Ajouter\"></a>";
				 echo "</div>";
				 echo "</td>\n";
			}
			else
			{
				echo "<td>";
				echo "<div align=\"center\">";
				if (@$_SESSION["niv_log"] >= 5)
				{
					$lst_maj = TRUE;
					echo "<a href=\"pdt_maj.php?td=edit&code=".$row["pdt_code"]."\"><img src=\"../img/edit.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_edit."\"></a>";
					echo " ";
					$lst_del = TRUE;
					echo "<a href=\"pdt_maj.php?td=del&code=".$row["pdt_code"]."\"><img src=\"../img/del.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_del."\"></a>";
				}
				if ((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3))
				{
					$lst_voir = TRUE;
					echo "<a href=\"pdt_maj.php?code=".$row["pdt_code"]."\"><img src=\"../img/eye.png\" border=\"0\" align=\"absmiddle\" title=\"".$alt_voir."\"></a>";
				}
				echo "</div>";
				echo "</td>\n";
			}
		
			echo "</tr>\n";
			
			$i++;
		}
	}  
	echo "</table>\n";
	// *** Fin affichage de la table
	
	mysql_free_result($rs);
	mysql_close($conn);  
	
	// *** Pagination de pied
	pagine_lst($numrows,$limit);
	
	$taille_piedla="";
	include_once("piedla.inc.php");
}
}
else
{
?>
<script type="text/javascript">
<!--
setTimeout("self.location.href=('index.php');",2000)
//-->
</script>
<p align="center" class="annot_std_it"><?PHP echo $alert_prm; ?>...</p>
<?PHP
}

if ($ta == "m")
	include_once("pied.php");
?>
